#pragma once

#include "ieapicookiegetter.h"

#include "namespace_start.h"
class CIECookieGetter:public CIEAPICookieGetterT<CIECookieGetter>{
	friend Void UnitTest();
	typedef CIEAPICookieGetterT<CIECookieGetter> Base;
private:
	NString securityCookiedir;
	
public:
	
	CIECookieGetter();


	Bool GetCookieInternal(const NString &domein,const NString &name,CCookie &cookie);


	

private:
	
	static Bool IEIsSecurityMode();


};
#include "namespace_end.h"